## Bitmaps and Pixmaps Bitmaps and Pixmaps |

## Functions

GdkPixmap * | gdk_pixmap_new ()
GdkBitmap * | gdk_bitmap_create_from_data ()
GdkPixmap * | gdk_pixmap_create_from_data ()
GdkPixmap * | gdk_pixmap_create_from_xpm ()
GdkPixmap * | gdk_pixmap_colormap_create_from_xpm ()
GdkPixmap * | gdk_pixmap_create_from_xpm_d ()
GdkPixmap * | gdk_pixmap_colormap_create_from_xpm_d ()
void | gdk_pixmap_get_size ()

## Types and Values

typedef | GdkPixmap
#define | gdk_pixmap_ref
#define | gdk_pixmap_unref
typedef | GdkBitmap
#define | gdk_bitmap_ref
#define | gdk_bitmap_unref

## Object Hierarchy

        GObject
        ╰── GdkDrawable
            ╰── GdkPixmap

## Includes

    #include <gdk/gdk.h>

## Description

## Functions

### gdk_pixmap_new ()

    GdkPixmap *
    gdk_pixmap_new (GdkDrawable *drawable,
                    gint width,
                    gint height,
                    gint depth);

### gdk_bitmap_create_from_data ()

    GdkBitmap *
    gdk_bitmap_create_from_data (GdkDrawable *drawable,
                                 const gchar *data,
                                 gint width,
                                 gint height);

`gdk_bitmap_create_from_data` is deprecated and should not be used in newly-written code.

### gdk_pixmap_create_from_data ()

    GdkPixmap *
    gdk_pixmap_create_from_data (GdkDrawable *drawable,
                                 const gchar *data,
                                 gint width,
                                 gint height,
                                 gint depth,
                                 const GdkColor *fg,
                                 const GdkColor *bg);

`gdk_pixmap_create_from_data` is deprecated and should not be used in newly-written code.

### gdk_pixmap_create_from_xpm ()

    GdkPixmap *
    gdk_pixmap_create_from_xpm (GdkDrawable *drawable,
                                GdkBitmap **mask,
                                const GdkColor *transparent_color,
                                const gchar *filename);

`gdk_pixmap_create_from_xpm` has been deprecated since version 2.22 and should not be used in newly-written code.

Use a GdkPixbuf instead. You can use `gdk_pixbuf_new_from_file()` to create it. If you must use a pixmap, use `gdk_pixmap_new()` to create it and Cairo to draw the pixbuf onto it.

Create a pixmap from a XPM file.

#### Parameters

drawable | a GdkDrawable, used to determine default values for the new pixmap. |
mask | (out) a pointer to a place to store a bitmap representing the transparency mask of the XPM file. Can be `NULL`, in which case transparency will be ignored. |
transparent_color | the color to be used for the pixels that are transparent in the input file. Can be `NULL`, in which case a default color will be used. |
filename | the filename of a file containing XPM data. |

#### Returns

the GdkPixmap.

[transfer none]

### gdk_pixmap_colormap_create_from_xpm ()

    GdkPixmap *
    gdk_pixmap_colormap_create_from_xpm (GdkDrawable *drawable,
                                         GdkColormap *colormap,
                                         GdkBitmap **mask,
                                         const GdkColor *transparent_color,
                                         const gchar *filename);

`gdk_pixmap_colormap_create_from_xpm` has been deprecated since version 2.22 and should not be used in newly-written code.

Use a GdkPixbuf instead. You can use `gdk_pixbuf_new_from_file()` to create it. If you must use a pixmap, use `gdk_pixmap_new()` to create it and Cairo to draw the pixbuf onto it.

Create a pixmap from a XPM file using a particular colormap.

#### Parameters

drawable | a GdkDrawable, used to determine default values for the new pixmap. Can be `NULL` if `colormap` is given. |
colormap | the GdkColormap that the new pixmap will be use. If omitted, the colormap for `window` will be used. |
mask | a pointer to a place to store a bitmap representing the transparency mask of the XPM file. Can be `NULL`, in which case transparency will be ignored. |
transparent_color | the color to be used for the pixels that are transparent in the input file. Can be `NULL`, in which case a default color will be used. |
filename | the filename of a file containing XPM data. |

#### Returns

the GdkPixmap.

[transfer none]

### gdk_pixmap_create_from_xpm_d ()

    GdkPixmap *
    gdk_pixmap_create_from_xpm_d (GdkDrawable *drawable,
                                  GdkBitmap **mask,
                                  const GdkColor *transparent_color,
                                  gchar **data);

`gdk_pixmap_create_from_xpm_d` has been deprecated since version 2.22 and should not be used in newly-written code.

Use a GdkPixbuf instead. You can use `gdk_pixbuf_new_from_xpm_data()` to create it. If you must use a pixmap, use `gdk_pixmap_new()` to create it and Cairo to draw the pixbuf onto it.

Create a pixmap from data in XPM format.

#### Parameters

drawable | a GdkDrawable, used to determine default values for the new pixmap. |
mask | Pointer to a place to store a bitmap representing the transparency mask of the XPM file. Can be `NULL`, in which case transparency will be ignored. | [out]
transparent_color | This color will be used for the pixels that are transparent in the input file. Can be `NULL` in which case a default color will be used. |
data | Pointer to a string containing the XPM data. |

#### Returns

the GdkPixmap.

[transfer none]

### gdk_pixmap_colormap_create_from_xpm_d ()

    GdkPixmap *
    gdk_pixmap_colormap_create_from_xpm_d (GdkDrawable *drawable,
                                           GdkColormap *colormap,
                                           GdkBitmap **mask,
                                           const GdkColor *transparent_color,
                                           gchar **data);

`gdk_pixmap_colormap_create_from_xpm_d` has been deprecated since version 2.22 and should not be used in newly-written code.

Use a GdkPixbuf instead. You can use `gdk_pixbuf_new_from_xpm_data()` to create it. If you must use a pixmap, use `gdk_pixmap_new()` to create it and Cairo to draw the pixbuf onto it.

Create a pixmap from data in XPM format using a particular colormap.

#### Parameters

drawable | a GdkDrawable, used to determine default values for the new pixmap. Can be `NULL` if `colormap` is given. |
colormap | the GdkColormap that the new pixmap will be use. If omitted, the colormap for `window` will be used. |
mask | a pointer to a place to store a bitmap representing the transparency mask of the XPM file. Can be `NULL`, in which case transparency will be ignored. |
transparent_color | the color to be used for the pixels that are transparent in the input file. Can be `NULL`, in which case a default color will be used. |
data | Pointer to a string containing the XPM data. |

#### Returns

the GdkPixmap.

[transfer none]

### gdk_pixmap_get_size ()

    void
    gdk_pixmap_get_size (GdkPixmap *pixmap,
                         gint *width,
                         gint *height);

This function is purely to make it possible to query the size of pixmaps even when compiling without deprecated symbols and you must use pixmaps. It is identical to `gdk_drawable_get_size()`, but for pixmaps.

#### Parameters

pixmap | a GdkPixmap |
width | location to store `pixmap` 's width, or `NULL`. | [out][allow-none]
height | location to store `pixmap` 's height, or `NULL`. | [out][allow-none]

Since: 2.24

## Types and Values

### GdkPixmap

    typedef struct _GdkDrawable           GdkPixmap;

### gdk_pixmap_ref

    #define gdk_pixmap_ref                 g_object_ref

`gdk_pixmap_ref` is deprecated and should not be used in newly-written code.

### gdk_pixmap_unref

    #define gdk_pixmap_unref               g_object_unref

`gdk_pixmap_unref` is deprecated and should not be used in newly-written code.

### GdkBitmap

    typedef struct _GdkDrawable           GdkBitmap;

### gdk_bitmap_ref

    #define gdk_bitmap_ref                 g_object_ref

`gdk_bitmap_ref` is deprecated and should not be used in newly-written code.

### gdk_bitmap_unref

    #define gdk_bitmap_unref               g_object_unref

`gdk_bitmap_unref` is deprecated and should not be used in newly-written code.